
/**********************************************************************
 *           hexatrolic.h  -  description
 *           Project: "Hexatrolic"
 *           
 *           (C) 2002 by Helge Plehn
 *           29.01.2002
 *                                                                         
 *   This program is free software; you can redistribute it and/or modify  
 *   it under the terms of the GNU General Public License as published by 
 *   the Free Software Foundation; either version 2 of the License, or     
 *   (at your option) any later version.                               
 *                                                                    
**********************************************************************/

#ifndef MYWIDGET_H
#define MYWIDGET_H

//#include <kapp.h>
#include <qwidget.h>

#include <qlcdnumber.h>
#include <qevent.h>
#include "gamefield.h"

#include <qpopupmenu.h>
#include <qmenubar.h>
#include <qpoint.h>


class MyWidget : public QWidget
{
Q_OBJECT
public:
	MyWidget( QWidget *parent=0, const char *name=0, WFlags fl = 0 );
	static QString appName() { return QString::fromLatin1("hexatrolic"); }

public slots:
  //void connectmpg();
  //void highscores();
	//void changename();
  void singleplayer();
  void twoplayer();
  void threeplayer();
  void help();
  void about();

  void SetPoints( int bpoints, int rpoints, int gpoints );

  void setgamemode( int Modus );

protected:
  void keyPressEvent( QKeyEvent *k );
  void keyReleaseEvent( QKeyEvent *k );

signals:
 void setplayer( int );
 void StartGame();
 void SpacePressed();
 void PadMovement( QPoint Vektor );

private:
	void SetPadMovement();

	int gamemode;
	
	//Status
	QLCDNumber *greenpoints;
	QLCDNumber *redpoints;
	QLCDNumber *bluepoints;

	//Gamefield
	GameField *gameField;

	//Menu


  QMenuBar *menu;
  QPopupMenu *options;
  int SingleID, TwoID, ThreeID;

	//Multiplayer
	bool isTwoPlayer;
  bool isThreePlayer;

	//PadMovement
  bool moveup;
  bool movedown;
  bool moveleft;
  bool moveright; 
  int lastupdown;
  int lastleftright;


};




#endif

